Package com.sun.mail.imap.protocol

## Class UID

- java.lang.Object
- - com.sun.mail.imap.protocol.UID

All Implemented Interfaces:
  `Item`

    public class UID
    extends java.lang.Object
    implements Item

This class represents the UID data item.

Author:
  John Mani

### Field Summary

Fields
`int` `seqnum`
`long` `uid`

### Constructor Summary

Constructors
`UID​(FetchResponse r)` Constructor.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### seqnum

    public int seqnum

#### uid

    public long uid

### Constructor Detail

#### UID

    public UID​(FetchResponse r)
        throws ParsingException

Constructor.

Parameters:
  `r` - the FetchResponse
Throws:
  `ParsingException` - for parsing failures